//The Bonk HORIZFIRE-Shader VERTEX

uniform float time;
uniform float offsetX;

void main()
{
	vec4 pos = gl_Vertex;
	vec4 new_pos;
	new_pos.x = pos.x;
	new_pos.z = pos.z;
	new_pos.w = pos.w;
	
	float freqA = pos.y + 35.0 * sin( (20.0 * pos.x) + (time*-40.0) );
	float freqB = pos.y + 15.0 * sin( (10.0 * pos.x) + (time*-40.0) );
	float freqC = pos.y + 10.0 * sin( (2.0 * pos.x) + (time*-20.0) );
	new_pos.y = (freqA + freqB + freqC) / 3.0;

	gl_Position = gl_ModelViewProjectionMatrix * new_pos;
	gl_TexCoord[0] = gl_MultiTexCoord0;
}
